#include <iostream>
#include <fstream>

using namespace std;

int const maxDim = 10001;

ifstream fin("megfeleltetes1.in");

void beOlvas(int &n, int x[]){
// a bemenet két sorozat, ezt az alprogramot meghívjuk a-ra és b-re

  	fin >> n;
  	for(int i = 1; i <= n; i++)
  		fin >> x[i];
} 

void kiIrBemenet(int n, int x[]){
// kiírás

  	cout << "hossz = " << n << endl;
  	for(int i = 1; i <= n; i++)
  		cout << x[i] << " ";
  	cout << endl;
}

int megfeleltetes(int n, int a[], int m, int b[], int& k, int& maxHossz){
// keressük a megfeleltetést

  	int osszeg = 0;
  	int i, j, aktHossz;
  	maxHossz = 0;
  	if(m > n) 
  		return false;       // ha a b sorozat hosszabb, mint az a, lehetetlen b-t megfeleltetni a-nak
  	
  	bool ok = true;        // feltételezzük, hogy b megfelel a-nak
    i = 1;
  	j = 1;
  	while (ok && i <= m){  // a b sorozat i-dik elemét megpróbáljuk előállítani az a sorozat elemeiből
	  	osszeg = 0;
	  	aktHossz = 0;                                          
		  while (j <= n && osszeg < b[i]){// amíg az aktulis összeg kisebb, mint a b sorozat aktuális eleme 
	  		osszeg+=a[j]; 		 // és még vannak elemek a-ban
	  		j++;
	  		aktHossz++;   
		} 
		if(osszeg > b[i])
			ok = false;	// meghaladtuk az aktuális elemet, tehát már nem feleltethető meg az összeg b aktuális elemének
		
		if (ok && j > m && osszeg != b[i]) 
			return false;	       // véget ért az a sorozat anélkül, hogy elérjük a b sorozat aktuális elemét
		
		if(ok && osszeg == b[i]){	    // kialakult a b aktuális elemének értéke
		 	if (aktHossz > maxHossz) {  // aktualizáljuk a maximális hosszúságot és a b sorozat megfelelő indexét 
		   	maxHossz = aktHossz;
		    k = i;
		  } 
    }
  	i++; 	                 // a b sorozat következő elemének indexe
  }
	if(j <= n && i > m)
		return false;          // b-nek vége, de a-ban még vannak elemek
  return ok;
}

void kiIrEredmeny(int k, int maxHossz){
// eredmény
  
	cout << "k = " << k << " maxHossz = " << maxHossz << endl;
}

int main(){
  
  int n, m, k, maxHossz;
  int a[maxDim], b[maxDim];

  beOlvas(n, a);
  beOlvas(m, b);
  kiIrBemenet(n, a);
  kiIrBemenet(m, b);

  if(megfeleltetes(n, a, m, b, k, maxHossz))
  	kiIrEredmeny(k, maxHossz);
  else
  	cout << -1 << " " << -1 << endl;
  return 0;
}